(function() {
	'use strict';

	window.app.directive('inventoryDetails', inventoryDetails);
	function inventoryDetails() {
		return {
			scope: {
				inventory: '='
			},
			templateUrl: '/inventory/template/inventoryDetails.tmpl.cshtml',
			controller: controller,
			controllerAs: 'vm'
		}
	}

	controller.$inject = ['$scope', '$uibModal'];
	function controller($scope, $uibModal) {
		var vm = this;

		vm.inventory = $scope.inventory;
		vm.edit = edit;
		
		function edit() {
			$uibModal.open({
				template: '<editInventory inventory="inventory" />',
				scope: angular.extend($scope.$new(true), { inventory: vm.inventory })
			});
		}
	}
})();